
var audio = new Audio(playlist[0].url);
audio.loop = false; // Muziek wordt niet herhaald

var playing = 0;    // Index van het nummer dat wordt gespeeld

window.addEventListener("load", function(){

  document.querySelector("#play").addEventListener("click", function(){
    if (document.querySelector("[data-player] *:last-child").innerText == "--") {
      playing = Math.floor(Math.random() * playlist.length);
    }

    audio.src = playlist[ playing ].url;
    document.querySelector("[data-player] *:last-child").innerText = playlist[ playing ].title;
    audio.play();
  });

  document.querySelector("#stop").addEventListener("click", function(){
    // Deze knop werkt alleen als de speler aan staat
    if (document.querySelector("[data-player] *:last-child").innerText == "--") return;
    audio.pause();
    document.querySelector("[data-player] *:last-child").innerText = "--";
    playing = 0;
  });

  document.querySelector("#pause").addEventListener("click", function(){
    // Deze knop werkt alleen als de speler aan staat
    if (document.querySelector("[data-player] *:last-child").innerText == "--") return;

    if (audio.paused) {  // Pauzeknop meer dan 1x indrukken heeft geen zin
      document.querySelector("[data-player] *:last-child").innerText = playlist[ playing ].title;
      audio.play()
    } else {
      audio.pause();
      document.querySelector("[data-player] *:last-child").innerText = "(Gepauzeerd)";
    }
  });

  document.querySelector("#back").addEventListener("click", function(){
    // Deze knop werkt alleen als de speler aan staat
    if (document.querySelector("[data-player] *:last-child").innerText == "--") return;

    if (playing > 0) playing--
    else playing = playlist.length-1;
    audio.src = playlist[ playing ].url;
    this.parentNode.querySelector("*:last-child").innerText = playlist[ playing ].title;
    audio.play()
  });

  document.querySelector("#next").addEventListener("click", function(){
    // Deze knop werkt alleen als de speler aan staat
    if (document.querySelector("[data-player] *:last-child").innerText == "--") return;

    if (playing < playlist.length-1) playing++
    else playing = 0;
    audio.src = playlist[ playing ].url;
    this.parentNode.querySelector("*:last-child").innerText = playlist[ playing ].title;
    audio.play()
  });

  audio.addEventListener("ended", function() {
    if (playing < playlist.length-1) playing++
    else playing = 0;
    audio.src = playlist[ playing ].url;
    document.querySelector("[data-player] *:last-child").innerText = playlist[ playing ].title;
    audio.play()
  });

});

function playThis(seqno) {  // Reageer op een keuze uit de playlist
  audio.src = playlist[ seqno ].url; // Het gekozen muziekbestand
  playing = seqno;                   // Onthoud welk bestand wordt afgespeeld
  document.querySelector("[data-player] *:last-child").innerText = playlist[ playing ].title;
  audio.play();
}